OpenVDB: JacobiPreconditioner< MatrixType > Class Template Reference

OpenVDB 3.2.0

Classes | Public Types | Public Member Functions | List of all members
JacobiPreconditioner< MatrixType > Class Template Reference

Diagonal preconditioner. More...

`#include <ConjGradient.h>`

Inherits Preconditioner< MatrixType::ValueType >.

## Public Types
typedef MatrixType::ValueType | ValueType
typedef Preconditioner< ValueType > | BaseType
typedef Vector< ValueType > | VectorType
typedef boost::shared_ptr< JacobiPreconditioner > | Ptr

## Public Member Functions
| JacobiPreconditioner (const MatrixType &A)
virtual | ~JacobiPreconditioner ()
virtual void | apply (const Vector< ValueType > &r, Vector< ValueType > &z)
| Apply this preconditioner to a residue vector: z = M−1r More...
bool | isFinite () const
| Return `true` if all values along the diagonal are finite. More...
virtual bool | isValid () const

## Detailed Description

### template<typename MatrixType>
class openvdb::v3_2_0::math::pcg::JacobiPreconditioner< MatrixType >

Diagonal preconditioner.

## Member Typedef Documentation

## ◆ BaseType

typedef Preconditioner<ValueType> BaseType

## ◆ Ptr

typedef boost::shared_ptr<JacobiPreconditioner> Ptr

## ◆ ValueType

typedef MatrixType::ValueType ValueType

## ◆ VectorType

typedef Vector<ValueType> VectorType

## Constructor & Destructor Documentation

## ◆ JacobiPreconditioner()

JacobiPreconditioner | ( | const MatrixType & | A | ) |
| inline

## ◆ ~JacobiPreconditioner()

virtual ~JacobiPreconditioner | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ apply()

virtual void apply | ( | const Vector< ValueType > & | r,
|  | Vector< ValueType > & | z
| ) |  |
| inlinevirtual

Apply this preconditioner to a residue vector: z = M−1r

Parameters

  | r | residue vector
  [out] | z | preconditioned residue vector

Implements Preconditioner< MatrixType::ValueType >.

## ◆ isFinite()

bool isFinite | ( |  | ) | const
| inline

Return `true` if all values along the diagonal are finite.

## ◆ isValid()

virtual bool isValid | ( |  | ) | const
| inlinevirtualinherited

Reimplemented in IncompleteCholeskyPreconditioner< MatrixType >.

The documentation for this class was generated from the following file:

- ConjGradient.h